%define pkgname mongrel
Summary:	Ruby webserver toolkit
Summary(pl.UTF-8):	Toolkit języka Ruby dla serwera WWW
Name:		ruby-%{pkgname}
Version:	1.1.5
Release:	6
License:	Ruby
Group:		Development/Libraries
Source0:	http://gems.rubyforge.org/gems/%{pkgname}-%{version}.gem
# Source0-md5:	a37617eb48f0932cc32143b2d76c0d12
Patch0:		%{name}-nogems.patch
Patch1:		%{name}-ruby1.9.patch
Patch2:		format-security.patch
URL:		http://mongrel.rubyforge.org/
BuildRequires:	dos2unix
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
BuildRequires:	ruby-irb
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ruby webserver toolkit.

%description -l pl.UTF-8
Toolkit języka Ruby dla serwera WWW.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README  -o -print | xargs touch --reference %{SOURCE0}
dos2unix examples/mongrel_simple_service.rb
%patch0 -p1
%patch1 -p1
%patch2 -p1

find -name '*.rb' -print0 | xargs -0 %{__sed} -i -e 's,\r$,,'

%build
# passing CFLAGS breaks -fPIC parsing,
# patch mkmf module to be able to pass CC and OPTFLAGS
%{__ruby} setup.rb config \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--datadir=%{_datadir} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir} \
	--localstatedir=%{_localstatedir} \
	--rbdir=%{ruby_rubylibdir} \
	--sodir=%{ruby_archdir} \
	--make-prog="%{__make} CC=\"%{__cc}\""

%{__ruby} setup.rb setup

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -r ri/{IO,Kernel,RequestLog,TCPServer}
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

%{__ruby} setup.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{ruby_rubylibdir}/*.rb
%{ruby_rubylibdir}/mongrel
%attr(755,root,root) %{ruby_archdir}/*.so

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Mongrel*
%changelog
* Tue Jul 07 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/ruby-mongrel.git;a=log;h=master

* Sun Jul 20 2014 Elan Ruusamäe <glen@delfi.ee> 3832428
- ruby 2.0 rebuild
- release 6 (by relup.sh)

* Sun Jan 26 2014 Jan Rękorajski <baggins@pld-linux.org> 3767690
- fix format string errors

* Mon Nov 15 2010 pawelz <pawelz@pld-linux.org> 475fa29
- release 5

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> f1852ae
- fix build with ruby 1.9

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 597cbaf
- rel 4
- removed pointless macro abuse
- added rdoc and ri packages

* Sat Aug 08 2009 hawk <hawk@pld-linux.org> 04c9c7f
- BR: dos2unix to workaround CVS stupidity

* Sat Aug 08 2009 hawk <hawk@pld-linux.org> 8807f1d
- release 2

* Sat Aug 08 2009 hawk <hawk@pld-linux.org> 0dd08b8
- proper update for 1.1.5

* Fri Feb 20 2009 aredridel <aredridel@pld-linux.org> fec0555
- 1.1.5

* Fri Feb 20 2009 aredridel <aredridel@pld-linux.org> 976fee3
- up for 1.1.5

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> f6de0e4
- use default loadpath

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> 7c8d297
- cleanups

* Tue Nov 18 2008 Elan Ruusamäe <glen@pld-linux.org> 98fb145
- release 3

* Sun May 04 2008 Elan Ruusamäe <glen@pld-linux.org> 691d6c7
- release 2

* Sat May 03 2008 Elan Ruusamäe <glen@pld-linux.org> 2b1d1d0
- need -fPIC on amd64

* Sat May 03 2008 Elan Ruusamäe <glen@pld-linux.org> 85b7d0d
- CC/CFLAGS

* Wed Dec 12 2007 aredridel <aredridel@pld-linux.org> f69dc17
- 1.1.1

* Wed Dec 12 2007 aredridel <aredridel@pld-linux.org> 136c50e
- up for 1.1.1

* Fri Mar 02 2007 aredridel <aredridel@pld-linux.org> 265640a
- remove dependency on fastthread, as it's merged in ruby 1.8.6

* Sun Feb 18 2007 Jakub Bogusz <qboosh@pld-linux.org> e7eff62
- use version macro in Source URL

